package envoy.client.ui;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import envoy.schema.User;

/**
 * Defines how the {@code UserList} is displayed.
 * 
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>UserListRenderer.java</strong><br>
 * Created: <strong>12 Oct 2019</strong><br>
 * 
 * @author Kai S. K. Engelbart
 * @since Envoy v0.1-alpha
 */
public class UserListRenderer extends JLabel implements ListCellRenderer<User> {

	private static final long serialVersionUID = 5164417379767181198L;

	@Override
	public Component getListCellRendererComponent(JList<? extends User> list, User value, int index, boolean isSelected,
			boolean cellHasFocus) {
		if (isSelected) {
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		} else {
			setBackground(list.getBackground());
			setForeground(list.getForeground());
		}

		// Enable background rendering
		setOpaque(true);

		setText(value.getName());
		setFont(list.getFont());

		return this;
	}
}